$fa = 1;
$fs = 0.4;

// Hauteur du corps :    h
// Hauteur du Rebord :   r
// Diamètre interne :    di
// Épaisseur du rebord : e
// Hauteur marche :      c
// Rayon piont :         p
// Écart :               d

module cale(h, r, di, e, c, p, d) {

           difference(){
               cylinder(h=h+r, r=(di/2)+e, center=false);
               translate([0, 0, h])
                    cylinder(h=10, r=di/2, center=false);
               translate([di/2 - 2 * e - p, 0, -c])
                    cylinder(h= 4.5 + h/2, r = p + 0.05, center=false );
          }
}

// Hauteur du corps :    h  = 5
// Hauteur du Rebord :   r  = 1
// Diamètre interne :    di = 80
// Épaisseur du rebord : e  = 0.5
// Hauteur marche :      c  = 4.5
// Rayon piont :         p  = 2.5
// Écart :               d  = 2
cale(h=5, r=1, di=80, e=0.5, c=4.5, p=2.5, d=2);
